aboutsummaryrefslogtreecommitdiff
path: root/appimage
diff options
context:
space:
mode:
authorohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-28 23:15:41 +0100
committerohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-28 23:15:41 +0100
commitb409944faddbfa5dc4e318ef14942f7d9847397a (patch)
tree619c0d52a6f50680554686a5ffec62fdd4c462fb /appimage
parentupdate eol gnome dependencies for flatpak (diff)
downloadlibrewolf-linux-b409944faddbfa5dc4e318ef14942f7d9847397a.tar.gz
librewolf-linux-b409944faddbfa5dc4e318ef14942f7d9847397a.tar.bz2
librewolf-linux-b409944faddbfa5dc4e318ef14942f7d9847397a.zip
de-Archify some aspects of builds and -scripts; allow to initiate separate steps manually; first attempt to build tarball on ubuntu 16.04
Diffstat (limited to 'appimage')
-rwxr-xr-xappimage/build_appimage.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/appimage/build_appimage.sh b/appimage/build_appimage.sh
index 1317bab..939a948 100755
--- a/appimage/build_appimage.sh
+++ b/appimage/build_appimage.sh
@@ -1,9 +1,4 @@
#!/bin/bash
-"""
-
-
-"""
-
printf "\n\n------------------------------------ APPIMAGE BUILD -----------------------------------------\n";
# Aborts the script upon any faliure
@@ -21,7 +16,16 @@ _APPIMAGETOOL_FILE=$_SCRIPT_FOLDER/appimagetool;
_APPIMAGE_CONTENT_FOLDER=$_SCRIPT_FOLDER/content
# Installs needed dependencies
-apt-get update && apt-get -y install file;
+apt-get update && apt-get -y install file wget;
+
+if [[ -z "${TARBALL_URL}" ]];then
+ wget "${TARBALL_URL}"
+fi
+
+if [[ ! -f "${BINARY_TARBALL}" ]];then
+ echo "Tarball not provided via pipeline or download."
+ exit 1
+fi
if [[ $CARCH == 'aarch64' ]]; then
apt install -y zlib1g-dev
bgstack15